TAIL(1)

NIMI
tail - tulostaa lopun tiedostoista

YLEISKATSAUS
tail [VALITSIN]... [TIEDOSTO]...

KUVAUS

Print the last 10 lines of each FILE to standard output. With more than one FILE, precede each with a header giving the file name.

Jos TIEDOSTOa ei ole annettu, tai se on ”-”, luetaan vakiosyötettä.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-c, --bytes=[+]NUM
    tulostaa viimeiset NUM-tut tai käytä -c +NUM tuloste alkaen kunkin tiedoston tavun NUM:sta

--debug
    indicate which --follow implementation is used

-f, --follow[={name|descriptor}]
    output appended data as the file grows; an absent option argument means 'descriptor'

-F  sama kuin --follow=name --retry

-n, --lines=[+]NUM
    output the last NUM lines, instead of the last 10; or use -n +NUM to skip NUM-1 lines at the start

--max-unchanged-stats=N
    with --follow=name, reopen a FILE which has not changed size after N (default 5) iterations to see if it has been unlinked or renamed (this is the usual case of rotated log files); with inotify, this option is rarely useful

--pid=PID
    with -f, exit after PID no longer exists; can be repeated to watch multiple processes

-q, --quiet, --silent
    älä koskaan tulosta tiedostonimen sisältäviä otsakkeita

--retry
    keep trying to open a file if it is inaccessible

-s, --sleep-interval=N
    with -f, sleep for approximately N seconds (default 1.0) between iterations; with inotify and --pid=P, check process P at least once every N seconds

-v, --verbose
    tulosta aina tiedostonimen sisältävät otsakkeet

-z, --zero-terminated
    päätä rivit 0-tavuun, ei rivinvaihtoon

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

NUM may have a multiplier suffix: b 512, kB 1000, K 1024, MB 1000*1000, M 1024*1024, GB 1000*1000*1000, G 1024*1024*1024, and so on for T, P, E, Z, Y, R, Q. Binary prefixes can be used, too: KiB=K, MiB=M, and so on.

With --follow (-f), tail defaults to following the file descriptor, which means that even if a tail'ed file is renamed, tail will continue to track its end. This default behavior is not desirable when you really want to track the actual name of the file, not the file descriptor (e.g., log rotation). Use --follow=name in that case. That causes tail to track the named file in a way that accommodates renaming, removal and creation.

TEKIJÄ
Kirjoittaneet Paul Rubin, David MacKenzie, Ian Lance Taylor ja Jim Meyering.

VIRHEISTÄ ILMOITTAMINEN
Ilmoita ohjelmistovioista (englanniksi) osoitteeseen bug-coreutils@gnu.org
GNU coreutils-kotisivu: <https://www.gnu.org/software/coreutils/>
Yleisohjeita GNU-ohjelmistojen käyttöön: <https://www.gnu.org/gethelp/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2026 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
head(1)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/tail>
tai saatavilla paikallisesti: info '(coreutils) tail invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Antti Salmela <asap@lyseo.edu.ouka.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.